cancel
Showing results for 
Search instead for 
Did you mean: 

BRTOOLS not getting uncar and compatibility with OS security patch

shradhasampat
Participant
0 Kudos

Hello,

Our OS team upgraded the linux security patch on our SAP linux box from 2.6.32.59-0.7-default  to 2.6.32.59-0.9-default

Linux version::

***********************************************************************************

/etc/lsb-release

::::::::::::::

LSB_VERSION="core-2.0-noarch:core-3.2-noarch:core-4.0-noarch:core-2.0-x86_64:core-3.2-x86_64:core-4.0-x86_64"

::::::::::::::

/etc/SuSE-release

::::::::::::::

SUSE Linux Enterprise Server 11 (x86_64)

VERSION = 11

PATCHLEVEL = 1

*******************************************************************************************

After this we started facing issues while starting SAP on it:

1. SAP was not starting with below error :

When i was getting above error the SAP KERNEL version was 64 BIT 720 PATCH 300

2.For error in point 1, I thought it could be that sap kernel got corrupted while OS team tried upgrading linux security patches so tried re-installing the SAP kernel 64 BIT 720 PATCH 300 , but after uncar SAPEXEDB_300-10007263.SAR and SAPEXE_300-10007264.SAR I could not get BR* files in exe dir .

3. Then I tried upgrading the kernel to 64 BIT 720 PATCH 402,again after uncar SAPEXEDB_402-10007263.SAR and SAPEXE_402-10007264.SAR and  I could not get BR* files in exe dir and SAP started.

4. I had to manually install BRTOOLS using DBATL720O10_37-10007263.SAR

I wanted to check if this an expected behavior for SAP that BR* files will not get extracted after Linux security patch gets upgraded from 2.6.32.59-0.7-default  to 2.6.32.59-0.9-default


Thanks

Shradha

Accepted Solutions (1)

Accepted Solutions (1)

former_member188883
Active Contributor
0 Kudos

Hi Shradha,

brtools are always part of DBATL720O10_37-10007263.SAR.

IT is not delivered as a part of SAPEXE or SAPEXEDB SAR files.

The error which you got may be due to existing kernel version not being compatible with the new OS patch. In such a case you can apply latest kernel patch and it should work.

Hope this helps.

Regards,

Deepak Kori

Answers (3)

Answers (3)

divyanshu_srivastava3
Active Contributor
0 Kudos

Hi Shradha,

Cutting it short.

For BR* tools, you have to download DBA tools archives from market place. Unpack this archive in kernel directory and set correct permission using correct modifiers and at last you may have to grant permission using scripts.

As said my @Deepak Kori, SAPEXE and EXEDB do not contains DBA tools, and has nothing to do with patch of your OS applied,. Yes, for all partner/non-partner OSs, we do have kernels updates to solve known/potential issues with DB/application and OS.

Regards,

Divyanshu

shradhasampat
Participant
0 Kudos

Thank you for your replies  !!

S_Sriram
Active Contributor
0 Kudos

Hi Shradha

Have you followed the steps as mention in the SAP Note ?

1636252 - Installing a 7.20 kernel in SAP Web AS 7.00/7.01/7.10/7.11

BR

SS

former_member182657
Active Contributor
0 Kudos

Hi,

Could you please share dev_ms,dev_w0 log files for analysis.It's purely related with current kernel .

Regards,

Gaurav